Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Interface IBusinessServiceTemplateWithFParams

All Known Implementing Classes:
  BusinessSeviceWithFPTemplate

    public interface IBusinessServiceTemplateWithFParams

Interface for a Business Service Template containing the module name, process name, version and category.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Method Summary
`java.lang.String` | `getCategory()` Get the category of the Business Service.
`java.util.ArrayList<ParamField>` | `getInOutFields()`
`java.util.ArrayList<ParamField>` | `getInputFields()`
`java.lang.String` | `getModuleName()` Get the module name for the Business Service.
`java.util.ArrayList<ParamField>` | `getOutputFields()`
`java.lang.String` | `getProcessName()` Get the process name for the Business Service.
`java.lang.String` | `getSerializedPayload()`
`java.lang.String` | `getVersion()` Get the version for the Business Service.
`boolean` | `isSerializedPayload()` Methods for dealing with starting a business process with formal params.
`void` | `setInOutFields(java.util.ArrayList<ParamField> inOutFields)`
`void` | `setInputFields(java.util.ArrayList<ParamField> inputFields)`
`void` | `setOutputFields(java.util.ArrayList<ParamField> outputFields)`
`void` | `setSerializedPayload(java.lang.String payload)`

Method Detail

### getModuleName

    java.lang.String getModuleName()

  Get the module name for the Business Service.

  Returns:
    module name of the service.

### getProcessName

    java.lang.String getProcessName()

  Get the process name for the Business Service.

  Returns:
    process name for the service.

### getVersion

    java.lang.String getVersion()

  Get the version for the Business Service.

  Returns:
    the version of the service.

### getCategory

    java.lang.String getCategory()

  Get the category of the Business Service.

  Returns:
    the category of the service.

### isSerializedPayload

    boolean isSerializedPayload()

  Methods for dealing with starting a business process with formal params.

### setSerializedPayload

    void setSerializedPayload(java.lang.String payload)

### getSerializedPayload

    java.lang.String getSerializedPayload()

### getInputFields

    java.util.ArrayList<ParamField> getInputFields()

### setInputFields

    void setInputFields(java.util.ArrayList<ParamField> inputFields)

### getOutputFields

    java.util.ArrayList<ParamField> getOutputFields()

### setOutputFields

    void setOutputFields(java.util.ArrayList<ParamField> outputFields)

### getInOutFields

    java.util.ArrayList<ParamField> getInOutFields()

### setInOutFields

    void setInOutFields(java.util.ArrayList<ParamField> inOutFields)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.